//---------------------------------------------------------------------------
#ifndef AgendaH
#define AgendaH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Menus.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\DBGrids.hpp>
#include "Grids.hpp"
#include <vcl\DB.hpp>
#include <vcl\DBTables.hpp>
#include <Db.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu1;
	TMenuItem *Diario1;
	TMenuItem *Telfonos1;
	TMenuItem *Recordatorios1;
	TMenuItem *Archivo1;
	TMenuItem *Introducir1;
	TMenuItem *Visualizar1;
	TMenuItem *Introducir2;
	TMenuItem *Lista;
	TMenuItem *PorFecha1;
	TMenuItem *TodaAgenda1;
	TMenuItem *Salir1;
	TMenuItem *Creditos2;
	TMenuItem *Introducir3;
	TMenuItem *Vertodos1;
	TPanel *Panel1;
	TLabel *Label1;
	TDBGrid *DBGrid1;
	TButton *Button1;
	TDataSource *DataSource1;
	TTable *Table1;
	void __fastcall Salir1Click(TObject *Sender);
	void __fastcall Introducir2Click(TObject *Sender);
	void __fastcall Creditos2Click(TObject *Sender);



	void __fastcall ListaClick(TObject *Sender);
	void __fastcall Introducir3Click(TObject *Sender);
	void __fastcall Vertodos1Click(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall DBGrid1KeyPress(TObject *Sender, char &Key);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Introducir1Click(TObject *Sender);

	void __fastcall PorFecha1Click(TObject *Sender);
	void __fastcall TodaAgenda1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern int dia;
extern AnsiString fecha;
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
